import os
import sys
import shutil
from distutils.sysconfig import get_makefile_filename

prefix = os.path.normpath(sys.exec_prefix)
makefile_path = get_makefile_filename()

makefile = file(makefile_path)
makefile_copy_path = makefile_path + ".new"
makefile_copy = file(makefile_copy_path, "w")
print "Creating altered makefile"
while True:
    line = makefile.readline()
    if not line: break
    if line.startswith("prefix="):
        line = "prefix=      " + prefix + "\n"
    makefile_copy.write(line)
makefile_copy.close()
print "Overwriting old makefile"
shutil.move(makefile_copy_path, makefile_path)


